# This is the example file for saMDI
source stooop.tcl
namespace import stooop::*
source saMDI.tcl


# create new mdi window
set m [new mdi -clicktofocus 0 -toplevel . -title "MDI Test" -width 500 -height 500 -bg black -fg white]
# create first slave window
set slave [new mdiSlave -master $m -x 100 -y 100 -title "FirstWindow" -width 300 -height 100 -fg navy -bg white]
# create second slave window
set slave [new mdiSlave -m $m -x 150 -y 100 -t "OtherWindow" -w 400 -h 300]

# create a button bar window
set buttons [new mdiSlave -master $m -x 200 -y 200 -t "Buttons" -w 100 -h 500 -fg black -bg white]
set button1 [button $mdiSlave::($buttons,frame).b1 -text "Button 1" -command {}]
set button2 [button $mdiSlave::($buttons,frame).b2 -text "Button 2" -command {}]
set button3 [button $mdiSlave::($buttons,frame).b3 -text "Button 3" -command {}]
pack $button1 $button2 $button3 -side top
